Add label-spacing to dead-link logging chart
Closed, ResolvedPublic2 Story Points

Description

Once we have several hundred days of data in the deadlinks logging interface, showing the past year of data will show 300+ date labels on the x axis. Unfortunately, Chart.js doesn't support filtering these labels, but there is a fork of it that does.

This will require 2 changes:

kaldari created this task.Mar 9 2016, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 5:56 PM
kaldari triaged this task as Normal priority.
DannyH set the point value for this task to 2.Mar 11 2016, 6:13 PM
DannyH moved this task from Sprint planning/estimation to Backlog on the Community-Tech board.
Niharika claimed this task.Mar 15 2016, 1:50 PM
Niharika edited projects, added Community-Tech-Sprint; removed Community-Tech.
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.
Niharika added a comment.EditedMar 15 2016, 2:53 PM

Can be seen in action at: http://tools.wmflabs.org/deadlinks/ if you switch to Last year view. Max labels 60.

This looks good except for the weird hover behavior where it highlights more than 1 node at once. Can you try to fix that? At pageviews analysis it doesn't do that for some reason. You may want to compare with the code there: https://github.com/MusikAnimal/pageviews/blob/master/javascripts/config.js.

Might be related to the pointHitDetectionRadius.

Might be related to the pointHitDetectionRadius.

Yep, that was the issue. Fixed.

kaldari closed this task as Resolved.Mar 16 2016, 4:53 PM

Looks good.

DannyH moved this task from Backlog to Archive on the Community-Tech board.Mar 28 2016, 10:35 PM